Page MenuHomePhabricator

"No response from server iipsrv.fcgi" when using "Zoomviewer" tool from COmmons
Closed, ResolvedPublic

Description

Maybe I m wrong but Zoomviewer seems broken. For example :
On the page https://commons.wikimedia.org/wiki/File:Aphrodite_swan_BM_D2.jpg , the response to a click on "Zoomviewer/no flash" is :
"No response from server iipsrv.fcgi"
For image fragment with IIIF protocol, the response is "503 - Service Not Available".
Hope it could be fixed.
Best regards

Event Timeline

Shonagon created this task.Oct 4 2018, 8:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2018, 8:45 PM
Aklapper renamed this task from Fixing zoomviewer to "No response from server iipsrv.fcgi" when using "Zoomviewer" tool from COmmons.Oct 5 2018, 9:16 AM
Aklapper removed dschwen as the assignee of this task.
Aklapper added a project: Tools.
Aklapper added a subscriber: dschwen.
Fuzheado added a subscriber: Fuzheado.

It seems to be same issue than T118405/"ZoomViewer FCGI broken".
The webservice was restarted and that fixed the issue.
Maybe is it possible to restart the webservice again.
Best regards

The process seems still running, but no idea what is going on with it:

root@tools-webgrid-lighttpd-1426:~# ps uf -u tools.zoomviewer
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
tools.z+  7012  0.0  0.1 114352 11836 ?        Ss   Jun06 218:22 /usr/sbin/lighttpd -f /var/run/lighttpd/zoomviewer -D
tools.z+  7017  0.0  0.2 340556 19104 ?        Ss   Jun06   0:00  \_ /usr/bin/php-cgi
tools.z+  3162  0.0  0.1 344948 10232 ?        S    Nov16   0:04  |   \_ /usr/bin/php-cgi
tools.z+ 29007  0.0  0.1 344692 10116 ?        S    Nov24   0:00  |   \_ /usr/bin/php-cgi
tools.z+  7021  0.0  0.2 340556 19104 ?        Ss   Jun06   0:01  \_ /usr/bin/php-cgi
tools.z+ 28702  0.0  0.1 344692 10120 ?        S    07:33   0:00  |   \_ /usr/bin/php-cgi
tools.z+ 32652  0.0  0.1 344692  9044 ?        S    08:20   0:00  |   \_ /usr/bin/php-cgi
tools.z+ 19139  0.0  0.2  56908 19800 ?        Sl   Sep04   0:14  \_ /data/project/zoomviewer/cgi-bin/iipsrv.fcgi
root@tools-webgrid-lighttpd-1426:~# gdb -p 19139 -ex bt -batch
/mnt/nfs/labstore-secondary-tools-project/zoomviewer/cgi-bin/iipsrv.fcgi (deleted): No such file or directory.
Python Exception <class 'gdb.MemoryError'> Cannot access memory at address 0x24fcf090: 
#0  0x2a0d4dad in ?? ()
Cannot access memory at address 0x24fcf090
root@tools-webgrid-lighttpd-1426:~# strace -p 19139
Process 19139 attached
accept(0,

fd 0 is a domain socket at /data/project/zoomviewer/iipsrv-fastcgi.socket-0

Huh:

connect(8, {sa_family=AF_LOCAL, sun_path="/data/project/zoomviewer/iipsrv-fastcgi.socket-0"}, 50) = -1 ECONNREFUSED (Connection refused)
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=118, ...}) = 0
write(3, "2018-11-25 09:21:56: (mod_fastcgi.c.1733) connect failed: Connection refused on unix:/data/project/zoomviewer/iipsrv-fastcgi.socket-0 \n", 135) = -1 EBADF (Bad file descriptor)
write(3, "2018-11-25 09:21:56: (mod_fastcgi.c.2999) backend died; we'll disable it for 1 seconds and send the request to another backend instead: reconnects: 0 load: 1 \n", 159) = -1 EBADF (Bad file descriptor)

I think this is some NFS shenanigans. @dschwen Can I restart?

Yes, please go ahead. I'm on travel right now and cannot do it myself.

Mentioned in SAL (#wikimedia-cloud) [2018-11-25T14:00:35Z] <zhuyifei1999_> Restarting webservice T206260

zhuyifei1999 closed this task as Resolved.Nov 25 2018, 2:01 PM
zhuyifei1999 claimed this task.